/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/EventNotHandledException.hpp>

using ls::standard::core::EventNotHandledException;
using ls::standard::core::Exception;
using std::move;
using std::string;

EventNotHandledException::EventNotHandledException() : Exception("EventNotHandledException")
{}

EventNotHandledException::EventNotHandledException(const string &_message) : EventNotHandledException()
{
  this->_setMessage(_message);
}

EventNotHandledException::~EventNotHandledException() noexcept = default;

const char *EventNotHandledException::what() const noexcept
{
  return this->_getIdentifiedMessage("event was not handled - nothing happened!");
}
